Subject: shepherd: list-actions not implemented
From: Jesse Gibbons <[email-masked]>
To: [email-masked]
Date: Tue, 16 Jul 2019 15:26:11 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I am curious about what actions are implemented in the system services
on my GuixSD install. I try something like the following for the
different system services and get an error:

jesse@piranhaplant ~$ sudo herd list-actions term-tty6
Password:
herd: service 'term-tty6' does not have an action 'list-actions'

Based on what the manual says[1], the 'list-actions' action should be a
special action of every service, so I would expect it to at least either
list the default actions status, start, stop, enable, disable, etc. or
display a message that there are no custom actions defined for the
named service.

Surprisingly I could not find anything related to this in the archives.

[1] https://www.gnu.org/software/shepherd/manual/html_node/Jump-Start.html